Bug 390805 - Unable to uninstall flatpack application
Summary: Unable to uninstall flatpack application
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: discover (show other bugs)
Version: 5.12.1
Platform: Archlinux Packages Linux
: NOR crash
Target Milestone: ---
Assignee: Aleix Pol
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2018-02-20 19:42 UTC by agilob
Modified: 2018-02-22 08:40 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description agilob 2018-02-20 19:42:47 UTC
Application: plasma-discover (5.12.1)

Qt Version: 5.10.1
Frameworks Version: 5.43.0
Operating System: Linux 4.15.3-2-ARCH x86_64
Distribution (Platform): Archlinux Packages

-- Information about the crash:
- What I was doing when the application crashed:

I tried to uninstall flatpak program, I clicked remove, it failed, I flicked again and Discover crashed.

The crash can be reproduced sometimes.

-- Backtrace:
Application: Discover (plasma-discover), signal: Segmentation fault
Using host libthread_db library "/usr/lib/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f53a8ad95c0 (LWP 11426))]

Thread 21 (Thread 0x7f5312ffd700 (LWP 11458)):
#0  0x00007f539e72fb79 in g_mutex_lock () at /usr/lib/libglib-2.0.so.0
#1  0x00007f539e6e8fb6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f539e6e910e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f53a4a53314 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f53a49f53db in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f53a48047ae in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f53a4809b4d in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f53a090f08c in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f53a4111e7f in clone () at /usr/lib/libc.so.6

Thread 20 (Thread 0x7f53137fe700 (LWP 11457)):
#0  0x00007f53a09156fd in pthread_cond_timedwait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f53a480aee1 in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007f53a4806db1 in  () at /usr/lib/libQt5Core.so.5
#3  0x00007f53a4809b4d in  () at /usr/lib/libQt5Core.so.5
#4  0x00007f53a090f08c in start_thread () at /usr/lib/libpthread.so.0
#5  0x00007f53a4111e7f in clone () at /usr/lib/libc.so.6

Thread 19 (Thread 0x7f5313fff700 (LWP 11456)):
#0  0x00007f53a41033d8 in read () at /usr/lib/libc.so.6
#1  0x00007f539e72e7d1 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f539e6e8ac8 in g_main_context_check () at /usr/lib/libglib-2.0.so.0
#3  0x00007f539e6e8f96 in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007f539e6e910e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#5  0x00007f53a4a53314 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#6  0x00007f53a49f53db in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#7  0x00007f53a48047ae in QThread::exec() () at /usr/lib/libQt5Core.so.5
#8  0x00007f53a4809b4d in  () at /usr/lib/libQt5Core.so.5
#9  0x00007f53a090f08c in start_thread () at /usr/lib/libpthread.so.0
#10 0x00007f53a4111e7f in clone () at /usr/lib/libc.so.6

Thread 18 (Thread 0x7f532d20e700 (LWP 11450)):
#0  0x00007f53a410c879 in syscall () at /usr/lib/libc.so.6
#1  0x00007f539e72fdcd in g_cond_wait_until () at /usr/lib/libglib-2.0.so.0
#2  0x00007f539e6bc753 in  () at /usr/lib/libglib-2.0.so.0
#3  0x00007f539e6bcd3e in g_async_queue_timeout_pop () at /usr/lib/libglib-2.0.so.0
#4  0x00007f539e711d81 in  () at /usr/lib/libglib-2.0.so.0
#5  0x00007f539e71126a in  () at /usr/lib/libglib-2.0.so.0
#6  0x00007f53a090f08c in start_thread () at /usr/lib/libpthread.so.0
#7  0x00007f53a4111e7f in clone () at /usr/lib/libc.so.6

Thread 17 (Thread 0x7f532ea11700 (LWP 11447)):
#0  0x00007f53a09156fd in pthread_cond_timedwait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f53a480aee1 in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007f53a4806db1 in  () at /usr/lib/libQt5Core.so.5
#3  0x00007f53a4809b4d in  () at /usr/lib/libQt5Core.so.5
#4  0x00007f53a090f08c in start_thread () at /usr/lib/libpthread.so.0
#5  0x00007f53a4111e7f in clone () at /usr/lib/libc.so.6

Thread 16 (Thread 0x7f53497fb700 (LWP 11444)):
#0  0x00007f53a09156fd in pthread_cond_timedwait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f53a480aee1 in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007f53a4806db1 in  () at /usr/lib/libQt5Core.so.5
#3  0x00007f53a4809b4d in  () at /usr/lib/libQt5Core.so.5
#4  0x00007f53a090f08c in start_thread () at /usr/lib/libpthread.so.0
#5  0x00007f53a4111e7f in clone () at /usr/lib/libc.so.6

Thread 15 (Thread 0x7f534a7fd700 (LWP 11442)):
#0  0x00007f53a09156fd in pthread_cond_timedwait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f53a480aee1 in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007f53a4806db1 in  () at /usr/lib/libQt5Core.so.5
#3  0x00007f53a4809b4d in  () at /usr/lib/libQt5Core.so.5
#4  0x00007f53a090f08c in start_thread () at /usr/lib/libpthread.so.0
#5  0x00007f53a4111e7f in clone () at /usr/lib/libc.so.6

Thread 14 (Thread 0x7f534b7ff700 (LWP 11440)):
#0  0x00007f53a09156fd in pthread_cond_timedwait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f53a480aee1 in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007f53a4806db1 in  () at /usr/lib/libQt5Core.so.5
#3  0x00007f53a4809b4d in  () at /usr/lib/libQt5Core.so.5
#4  0x00007f53a090f08c in start_thread () at /usr/lib/libpthread.so.0
#5  0x00007f53a4111e7f in clone () at /usr/lib/libc.so.6

Thread 13 (Thread 0x7f5359a5f700 (LWP 11438)):
#0  0x00007f53a41033d8 in read () at /usr/lib/libc.so.6
#1  0x00007f539e72e7d1 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f539e6e8ac8 in g_main_context_check () at /usr/lib/libglib-2.0.so.0
#3  0x00007f539e6e8f96 in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007f539e6e910e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#5  0x00007f53a4a53314 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#6  0x00007f53a49f53db in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#7  0x00007f53a48047ae in QThread::exec() () at /usr/lib/libQt5Core.so.5
#8  0x00007f53a4809b4d in  () at /usr/lib/libQt5Core.so.5
#9  0x00007f53a090f08c in start_thread () at /usr/lib/libpthread.so.0
#10 0x00007f53a4111e7f in clone () at /usr/lib/libc.so.6

Thread 12 (Thread 0x7f535a260700 (LWP 11437)):
#0  0x00007f53a09156fd in pthread_cond_timedwait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f53a480aee1 in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007f53a4806db1 in  () at /usr/lib/libQt5Core.so.5
#3  0x00007f53a4809b4d in  () at /usr/lib/libQt5Core.so.5
#4  0x00007f53a090f08c in start_thread () at /usr/lib/libpthread.so.0
#5  0x00007f53a4111e7f in clone () at /usr/lib/libc.so.6

Thread 11 (Thread 0x7f535aa61700 (LWP 11436)):
#0  0x00007f53a41033d8 in read () at /usr/lib/libc.so.6
#1  0x00007f539e72e7d1 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f539e6e8ac8 in g_main_context_check () at /usr/lib/libglib-2.0.so.0
#3  0x00007f539e6e8f96 in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007f539e6e93b2 in g_main_loop_run () at /usr/lib/libglib-2.0.so.0
#5  0x00007f53632966d8 in  () at /usr/lib/libgio-2.0.so.0
#6  0x00007f539e71126a in  () at /usr/lib/libglib-2.0.so.0
#7  0x00007f53a090f08c in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f53a4111e7f in clone () at /usr/lib/libc.so.6

Thread 10 (Thread 0x7f535b262700 (LWP 11435)):
#0  0x00007f53a410797b in poll () at /usr/lib/libc.so.6
#1  0x00007f539e6e8ff3 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f539e6e910e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f539e6e9162 in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007f539e71126a in  () at /usr/lib/libglib-2.0.so.0
#5  0x00007f53a090f08c in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007f53a4111e7f in clone () at /usr/lib/libc.so.6

Thread 9 (Thread 0x7f5363fff700 (LWP 11434)):
#0  0x00007f53a09156fd in pthread_cond_timedwait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f53a480aee1 in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007f53a4806db1 in  () at /usr/lib/libQt5Core.so.5
#3  0x00007f53a4809b4d in  () at /usr/lib/libQt5Core.so.5
#4  0x00007f53a090f08c in start_thread () at /usr/lib/libpthread.so.0
#5  0x00007f53a4111e7f in clone () at /usr/lib/libc.so.6

Thread 8 (Thread 0x7f5371596700 (LWP 11433)):
#0  0x00007f53a09156fd in pthread_cond_timedwait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f53a480aee1 in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007f53a4806db1 in  () at /usr/lib/libQt5Core.so.5
#3  0x00007f53a4809b4d in  () at /usr/lib/libQt5Core.so.5
#4  0x00007f53a090f08c in start_thread () at /usr/lib/libpthread.so.0
#5  0x00007f53a4111e7f in clone () at /usr/lib/libc.so.6

Thread 7 (Thread 0x7f5371d97700 (LWP 11432)):
#0  0x00007f53a41033d8 in read () at /usr/lib/libc.so.6
#1  0x00007f539e72e7d1 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f539e6e8ac8 in g_main_context_check () at /usr/lib/libglib-2.0.so.0
#3  0x00007f539e6e8f96 in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007f539e6e910e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#5  0x00007f53a4a53314 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#6  0x00007f53a49f53db in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#7  0x00007f53a48047ae in QThread::exec() () at /usr/lib/libQt5Core.so.5
#8  0x00007f53a4809b4d in  () at /usr/lib/libQt5Core.so.5
#9  0x00007f53a090f08c in start_thread () at /usr/lib/libpthread.so.0
#10 0x00007f53a4111e7f in clone () at /usr/lib/libc.so.6

Thread 6 (Thread 0x7f5372c38700 (LWP 11431)):
#0  0x00007f53a41033d8 in read () at /usr/lib/libc.so.6
#1  0x00007f539e72e7d1 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f539e6e8ac8 in g_main_context_check () at /usr/lib/libglib-2.0.so.0
#3  0x00007f539e6e8f96 in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007f539e6e910e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#5  0x00007f53a4a53314 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#6  0x00007f53a49f53db in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#7  0x00007f53a48047ae in QThread::exec() () at /usr/lib/libQt5Core.so.5
#8  0x00007f53a4809b4d in  () at /usr/lib/libQt5Core.so.5
#9  0x00007f53a090f08c in start_thread () at /usr/lib/libpthread.so.0
#10 0x00007f53a4111e7f in clone () at /usr/lib/libc.so.6

Thread 5 (Thread 0x7f537c663700 (LWP 11430)):
#0  0x00007f53a410797b in poll () at /usr/lib/libc.so.6
#1  0x00007f539e6e8ff3 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f539e6e910e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f53a4a53314 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f53a49f53db in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f53a48047ae in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f53a7c9450b in  () at /usr/lib/libQt5Quick.so.5
#7  0x00007f53a4809b4d in  () at /usr/lib/libQt5Core.so.5
#8  0x00007f53a090f08c in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007f53a4111e7f in clone () at /usr/lib/libc.so.6

Thread 4 (Thread 0x7f53875ef700 (LWP 11429)):
#0  0x00007f53a410797b in poll () at /usr/lib/libc.so.6
#1  0x00007f539e6e8ff3 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f539e6e910e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f53a4a53314 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f53a49f53db in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f53a48047ae in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f53a540d379 in  () at /usr/lib/libQt5Qml.so.5
#7  0x00007f53a4809b4d in  () at /usr/lib/libQt5Core.so.5
#8  0x00007f53a090f08c in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007f53a4111e7f in clone () at /usr/lib/libc.so.6

Thread 3 (Thread 0x7f538c9d7700 (LWP 11428)):
#0  0x00007f53a41033d8 in read () at /usr/lib/libc.so.6
#1  0x00007f539e72e7d1 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f539e6e8ac8 in g_main_context_check () at /usr/lib/libglib-2.0.so.0
#3  0x00007f539e6e8f96 in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007f539e6e910e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#5  0x00007f53a4a53314 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#6  0x00007f53a49f53db in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#7  0x00007f53a48047ae in QThread::exec() () at /usr/lib/libQt5Core.so.5
#8  0x00007f53a6763416 in  () at /usr/lib/libQt5DBus.so.5
#9  0x00007f53a4809b4d in  () at /usr/lib/libQt5Core.so.5
#10 0x00007f53a090f08c in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007f53a4111e7f in clone () at /usr/lib/libc.so.6

Thread 2 (Thread 0x7f53959f6700 (LWP 11427)):
#0  0x00007f53a410797b in poll () at /usr/lib/libc.so.6
#1  0x00007f539e4818e0 in  () at /usr/lib/libxcb.so.1
#2  0x00007f539e483679 in xcb_wait_for_event () at /usr/lib/libxcb.so.1
#3  0x00007f53987a382a in  () at /usr/lib/libQt5XcbQpa.so.5
#4  0x00007f53a4809b4d in  () at /usr/lib/libQt5Core.so.5
#5  0x00007f53a090f08c in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007f53a4111e7f in clone () at /usr/lib/libc.so.6

Thread 1 (Thread 0x7f53a8ad95c0 (LWP 11426)):
[KCrash Handler]
#5  0x0000565487c7cb00 in  ()
#6  0x00007f53a4a2c42a in QObject::disconnect(QObject const*, char const*, QObject const*, char const*) () at /usr/lib/libQt5Core.so.5
#7  0x00007f53a791aca9 in TransactionListener::setTransaction(Transaction*) () at /usr/lib/plasma-discover/libDiscoverCommon.so
#8  0x00007f53a4a277ef in QMetaObject::activate(QObject*, int, int, void**) () at /usr/lib/libQt5Core.so.5
#9  0x00007f53a7947713 in TransactionModel::transactionAdded(Transaction*) () at /usr/lib/plasma-discover/libDiscoverCommon.so
#10 0x00007f53a791d3f4 in TransactionModel::addTransaction(Transaction*) () at /usr/lib/plasma-discover/libDiscoverCommon.so
#11 0x00007f53a794c2e5 in  () at /usr/lib/plasma-discover/libDiscoverCommon.so
#12 0x00007f53a794ead6 in ResourcesModel::qt_metacall(QMetaObject::Call, int, void**) () at /usr/lib/plasma-discover/libDiscoverCommon.so
#13 0x00007f53a53bd74a in  () at /usr/lib/libQt5Qml.so.5
#14 0x00007f53a53363d6 in  () at /usr/lib/libQt5Qml.so.5
#15 0x00007f53a5337b4f in  () at /usr/lib/libQt5Qml.so.5
#16 0x00007f53a53386da in QV4::QObjectMethod::callInternal(QV4::CallData*, QV4::Scope&) const () at /usr/lib/libQt5Qml.so.5
#17 0x00007f53a535160b in QV4::Runtime::method_callProperty(QV4::ExecutionEngine*, int, QV4::CallData*) () at /usr/lib/libQt5Qml.so.5
#18 0x00007f538c095008 in  ()
#19 0x00007f538028afc0 in  ()
#20 0x00000000ba8ec300 in  ()
#21 0x00007f53865b05e0 in  ()
#22 0x0000000000000000 in  ()

Reported using DrKonqi
Comment 1 Nate Graham 2018-02-21 14:24:25 UTC
author	Aleix Pol <aleixpol@kde.org>	2018-02-21 12:28:28 (GMT)
committer	Aleix Pol <aleixpol@kde.org>	2018-02-21 12:28:28 (GMT)
commit	a263fccd2532f04160aa82743f4a0f8172f9af3f (patch)
tree	76f168a2aafbcc7caad1f4e0e25567aa18a318f8
parent	4593a765bf211fb7750038acfa20d94fa087be8c (diff)
Fix weird behavior on the search field once it's clearedPlasma/5.12
Accept the field after clearing, to make sure we are reporting
the right content.

BUG: 390805
Diffstat
-rw-r--r--	discover/qml/SearchField.qml	20	
		
1 files changed, 11 insertions, 9 deletions
Comment 2 Aleix Pol 2018-02-21 14:40:43 UTC
Wrong bug closed, sorry.
Comment 3 Aleix Pol 2018-02-22 08:40:03 UTC
Git commit a263fccd2532f04160aa82743f4a0f8172f9af3f by Aleix Pol.
Committed on 21/02/2018 at 12:28.
Pushed by apol into branch 'Plasma/5.12'.

Fix weird behavior on the search field once it's cleared

Accept the field after clearing, to make sure we are reporting
the right content.

M  +11   -9    discover/qml/SearchField.qml

https://commits.kde.org/discover/a263fccd2532f04160aa82743f4a0f8172f9af3f